#!/bin/sh
# (C) 2013,2019 Canonical Ltd.
# (C) 2019 Simon McVittie
# Authors: Iain Lane, Sebastien Bacher, Simon McVittie
# SPDX-License-Identifier: LGPL-2.0-or-later

set -eu

export G_MESSAGES_DEBUG=all
export XDG_RUNTIME_DIR="$AUTOPKGTEST_TMP"

printf "Running as: "; id -a
printf "passwd entry: "; getent passwd "$(id -u)" || echo "(exit status $?)"
printf "group entry: "; getent group "$(id -g)" || echo "(exit status $?)"
echo "Environment:"
env | LC_ALL=C sort -u

for tests in /usr/libexec/installed-tests/bolt/test-*;
	do
		umockdev-wrapper "$tests"
	done

